<?php

use yii\db\Schema;
use yii\db\Migration;

class m151001_100745_product extends Migration
{
    public function up()
    {
         $this->createTable("product",[
             'id'=>  $this->primaryKey(),
             "name"=>  $this->string(60)->notNull(),
             "price"=>  $this->string(60)->notNull(),
             "description"=>  $this->string(255)->notNull(),
             "count"=>  $this->string(32)->notNull(),
             "image"=>  $this->string(255)->notNull(),
         ]);
    }

    public function down()
    {
        echo "m151001_100745_product cannot be reverted.\n";

        return false;
    }

    /*
    // Use safeUp/safeDown to run migration code within a transaction
    public function safeUp()
    {
    }

    public function safeDown()
    {
    }
    */
}
